Last Comment Bug 808419 - remoteautomation.py's waitForFinish() should print to the log when maxTime is reached
: remoteautomation.py's waitForFinish() should print to the log when maxTime is...
Status: RESOLVED FIXED
:
Product: Testing
Classification: Components
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: mozilla19
Assigned To: Ed Morley [:emorley]
:
Mentors:
Depends on:
Blocks: 778688
  Show dependency treegraph
 
Reported: 2012-11-04 10:01 PST by Ed Morley [:emorley]
Modified: 2012-11-12 01:53 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Patch v1 (1.26 KB, patch)
2012-11-04 10:05 PST, Ed Morley [:emorley]
jmaher: review+
Details | Diff | Splinter Review

Description Ed Morley [:emorley] 2012-11-04 10:01:57 PST
...rather than just killing fennec silently.

http://hg.mozilla.org/mozilla-central/file/ab099c9e1a09/build/mobile/remoteautomation.py#l74
    74         if (status == 1 and self._devicemanager.processExist(proc.procName)):
    75             # Then we timed out, make sure Fennec is dead
    76             proc.kill()
Comment 1 Ed Morley [:emorley] 2012-11-04 10:05:41 PST
Created attachment 678146 [details] [diff] [review]
Patch v1
Comment 2 Joel Maher ( :jmaher) 2012-11-05 03:19:24 PST
Comment on attachment 678146 [details] [diff] [review]
Patch v1

Review of attachment 678146 [details] [diff] [review]:
-----------------------------------------------------------------

please give this a good test on try server before pushing.
Comment 3 Ed Morley [:emorley] 2012-11-05 05:03:26 PST
https://tbpl.mozilla.org/?tree=Try&rev=de234f1e54fb
Comment 5 Ed Morley [:emorley] 2012-11-05 07:47:56 PST
https://hg.mozilla.org/mozilla-central/rev/60c78a559a84

Note You need to log in before you can comment on or make changes to this bug.